Skip to main content
v1

get_v1_agent

GET /v1/agents/{agent}: request parameters and responses.

GET /v1/agents/{agent}

Parameters

NameInRequiredTypeDescription
agentpathYesstringAgent id
configqueryNobooleanWhen true, include version/path/configOptions (slower)
no_cachequeryNobooleanWhen true, bypass version cache

Parameter schemas

[
  {
    "name": "agent",
    "in": "path",
    "description": "Agent id",
    "required": true,
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "config",
    "in": "query",
    "description": "When true, include version/path/configOptions (slower)",
    "required": false,
    "schema": {
      "type": "boolean",
      "nullable": true
    }
  },
  {
    "name": "no_cache",
    "in": "query",
    "description": "When true, bypass version cache",
    "required": false,
    "schema": {
      "type": "boolean",
      "nullable": true
    }
  }
]

Responses

200

Agent info

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/AgentInfo"
  }
}

Related schemas: AgentInfo.

400

Unknown agent

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

401

Authentication required

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.